Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
portfolios
/
{portfolio_id}
/
drip
Get DRIP configuration
curl --request GET \
  --url https://api.bluumfinance.com/v1/wealth/accounts/{account_id}/portfolios/{portfolio_id}/drip \
  --header 'Authorization: Basic <encoded-value>'
{
  "drip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "enabled": false,
  "reinvestment_rule": "same_security",
  "custom_allocation": {},
  "minimum_amount": "10.00",
  "cash_sweep_enabled": false,
  "cash_sweep_threshold": "100.00",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required
portfolio_id
string<uuid>
required

Response

DRIP configuration retrieved successfully

Dividend reinvestment configuration

drip_id
string<uuid>
portfolio_id
string<uuid>
enabled
boolean
default:false
reinvestment_rule
enum<string>

How to reinvest dividends

Available options:
same_security,
portfolio_allocation,
custom
custom_allocation
object

Symbol to percentage mapping (if rule=custom)

minimum_amount
string

Minimum dividend amount to trigger reinvestment

Example:

"10.00"

cash_sweep_enabled
boolean
default:false

Auto-invest idle cash above threshold

cash_sweep_threshold
string

Cash balance that triggers auto-investment

Example:

"100.00"

status
enum<string>
Available options:
active,
paused
created_at
string<date-time>
updated_at
string<date-time>